summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2019-12-02 11:40:35 -0500
committerMatt Turner <mattst88@gentoo.org>2019-12-02 11:44:25 -0500
commit26a4ca539fed25d1100d0de2efe450c34ee841d4 (patch)
tree377192f6f59c40dd0855097ef8de578d2a4b77f3
parentsys-libs/libchipcard: x86 stable wrt bug #700038 (diff)
downloadgentoo-26a4ca539fed25d1100d0de2efe450c34ee841d4.tar.gz
gentoo-26a4ca539fed25d1100d0de2efe450c34ee841d4.tar.bz2
gentoo-26a4ca539fed25d1100d0de2efe450c34ee841d4.zip
x11-drivers/xf86-input-wacom: Version bump to 0.38.0
Closes: https://bugs.gentoo.org/701718 Signed-off-by: Matt Turner <mattst88@gentoo.org>
-rw-r--r--x11-drivers/xf86-input-wacom/Manifest1
-rw-r--r--x11-drivers/xf86-input-wacom/xf86-input-wacom-0.38.0.ebuild67
2 files changed, 68 insertions, 0 deletions
diff --git a/x11-drivers/xf86-input-wacom/Manifest b/x11-drivers/xf86-input-wacom/Manifest
index 4b3259e7a1f..fe01bdfa52c 100644
--- a/x11-drivers/xf86-input-wacom/Manifest
+++ b/x11-drivers/xf86-input-wacom/Manifest
@@ -1 +1,2 @@
DIST xf86-input-wacom-0.36.0.tar.bz2 611678 BLAKE2B b3fc8310514e6e07c3c25fceeb982d66e9e10730028af769cd331578a48720666a0872b625beb15c7f68bbb291293dfe4c4e305411310c67bb2bd148e7d570d8 SHA512 48e4cf945eb0f5c7c65d46153756372bbfd6d1f101cd90f609c71cc21b36fa671d98c7be0b52d519775c7e7b875ec441d4308cf70d7897198600553e7a93ccc5
+DIST xf86-input-wacom-0.38.0.tar.bz2 621356 BLAKE2B b5bf1bca3b49035981e77348ef9a6a0382c204bce473af51e17ba5c9297da7d9cc9bc621f42a2babf62106c2bbfd149fbac3feb4057234da77d8ba16ab446d8d SHA512 853d0d91c5a18a96ccf9e30abdabc69c1bc9fc3c067746762eb789240272d1d7faaaa4524e60fd299f44d9f6603adb2de69caf697cde3f841debab8232d983b5
diff --git a/x11-drivers/xf86-input-wacom/xf86-input-wacom-0.38.0.ebuild b/x11-drivers/xf86-input-wacom/xf86-input-wacom-0.38.0.ebuild
new file mode 100644
index 00000000000..7b393d7cfa9
--- /dev/null
+++ b/x11-drivers/xf86-input-wacom/xf86-input-wacom-0.38.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit linux-info systemd udev xorg-3
+
+DESCRIPTION="Driver for Wacom tablets and drawing devices"
+HOMEPAGE="https://linuxwacom.github.io/"
+LICENSE="GPL-2"
+EGIT_REPO_URI="https://github.com/linuxwacom/xf86-input-wacom"
+[[ ${PV} != 9999* ]] && \
+ SRC_URI="https://github.com/linuxwacom/${PN}/releases/download/${P}/${P}.tar.bz2"
+
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug"
+
+RDEPEND="dev-libs/libwacom
+ virtual/libudev:=
+ >=x11-base/xorg-server-1.7
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXinerama"
+DEPEND="${RDEPEND}
+ x11-base/xorg-proto"
+
+pkg_setup() {
+ linux-info_pkg_setup
+
+ XORG_CONFIGURE_OPTIONS=(
+ --with-systemd-unit-dir="$(systemd_get_systemunitdir)"
+ --with-udev-rules-dir="$(get_udevdir)/rules.d"
+ $(use_enable debug)
+ )
+}
+
+pkg_pretend() {
+ linux-info_pkg_setup
+
+ if kernel_is lt 3 17; then
+ if ! linux_config_exists \
+ || ! linux_chkconfig_present TABLET_USB_WACOM \
+ || ! linux_chkconfig_present INPUT_EVDEV; then
+ echo
+ ewarn "If you use a USB Wacom tablet, you need to enable support in your kernel"
+ ewarn " Device Drivers --->"
+ ewarn " Input device support --->"
+ ewarn " <*> Event interface"
+ ewarn " [*] Tablets --->"
+ ewarn " <*> Wacom Intuos/Graphire tablet support (USB)"
+ echo
+ fi
+ else
+ if ! linux_config_exists \
+ || ! linux_chkconfig_present HID_WACOM; then
+ echo
+ ewarn "If you use a USB Wacom tablet, you need to enable support in your kernel"
+ ewarn " Device Drivers --->"
+ ewarn " HID support --->"
+ ewarn " Special HID drivers --->"
+ ewarn " <*> Wacom Intuos/Graphire tablet support (USB)"
+ echo
+ fi
+ fi
+}